
%Algorithm and multirun parameters

def.gen_fr=10;      %Learning period
def.operator_pr=0.5; % 50% DE and 50% SBX
%DE parameters
def.CR=1.0;
def.F=0.5;
%results file
def.statistics_all=0; % def.statistics_all=1 will save information for all generations
% def.display=0 will not display any plots
def.display=0;
def.displayReferenceDirection=0; % 0 does not show, 1 shows the reference direction plot 

def.config = {'dtlz1' 'dtlz2' 'dtlz5'};     %All problems to be studied
def.mutation_pr_prob =   [0.1,0.1,0.1];     %Mutation probability for each problem
def.crossover_pr_prob =  [1.0,1.0,1.0];     %Crossover probability for each problem
def.mutation_poly_prob = [20,20,20];        %Polynomial mutation index for each problem
def.crossover_sbx_prob = [30,30,30];        %Crossoveer index for SBX for each problem
def.nf_prob = [3 3 3];                      %No. of objectives for each problem
def.gen_prob = [500 500 500];               %No. of generations for each problem
def.popSize = [91 91 91];                   %Population for each problem
def.s1=[12 12 12]; % layer 1 div            %First layer divisions for generating reference vectors for each problem
def.s2=[0 0 0]; % layer 2 div               %Second layer divisions (typically used for >=8 obj) for each problem
def.seed_prob = [104 100 100];              %Starting random seed for first run for each problem
def.multirun = [3 3 3];                     %Number of runs for each problem
